import Vue from 'vue'
import Vuetify from 'vuetify/lib'
import 'vuetify/src/stylus/app.styl'
import VTooltip from 'vuetify/lib/components/VTooltip/VTooltip'
import VIcon from 'vuetify/lib/components/VIcon/VIcon'
import VBtn from 'vuetify/lib/components/VBtn/VBtn'
import VLayout from 'vuetify/lib/components/VGrid/VLayout'

Vue.use(Vuetify, {
  // Registering vuetify components for usage in functional components, NB!: Make sure that they're in use
  // or else unnecessary code is bundled in production
  components: { VLayout, VTooltip, VIcon, VBtn },
  iconfont: 'md'
})
