import { fetchFMUs } from '../../api/APIHelper'

export const digTwinModule = {
  namespaced: true,
  state: {
    models: ['CraneShort', 'TestRig', 'krane']
  },
  mutations: {
    setModels (state, newModels) {
      state.models = newModels
    }
  },
  actions: {
    async fetchModelList ({ commit, state }) {
      let models = await fetchFMUs()
      commit('setModels', models)
    }
  }
}
