export function deepCopy (object) {
  return JSON.parse(JSON.stringify(object))
}

export async function getJSONResponse (link) {
  let jsonResponse
  try {
    const response = await fetch(link)
    jsonResponse = await response.json()
  } catch (error) {
    console.log(error)
    return false
  }
  return jsonResponse
}
